------------------------------------------------------------------------------------
--Name:  	juqing1
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-04-30
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(498, 404)
CppScriptMgr:ShakeScrEffect(1)
CppScriptMgr:WaitMilSec(1000)
local Effect_2 = CppScriptMgr:AddEffect("CSGX_hong", 497, 402, 33, 1, 1, 1)
local Effect_3 = CppScriptMgr:AddEffect("CSGX_jin", 502, 402, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:ClearEffect(Effect_2)
CppScriptMgr:ClearEffect(Effect_3)
local Player_1 = CppScriptMgr:AddSimplePlayer(1055850, 499, 401, "GoosieMommy", 0, 0)
Player_1:SetDir(0)
local Player_2 = CppScriptMgr:AddSimplePlayer(1055860, 497, 402, "Caicai", 0, 0)
Player_2:SetDir(6)
local Player_3 = CppScriptMgr:AddSimplePlayer(1055880, 502, 402, "Tiana", 0, 0)
Player_3:SetDir(1)
CppScriptMgr:WaitMilSec(1000)
Player_3:Say("Yay! The Gooise Adventure is here!", 2000)
Player_3:SetAction(103)
CppScriptMgr:WaitMilSec(2990)
Player_2:SetAction(101)
Player_2:Say("Awesome!", 1000)
CppScriptMgr:WaitMilSec(1000)
local Effect_5 = CppScriptMgr:AddEffect("777_etbonus", 498, 404, 33, 1, 1, 1)
local Effect_6 = CppScriptMgr:AddEffect("Fruits_bossjs", 498, 404, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(980)
Player_1:SetAction(180)
Player_1:Say("I wonder how the goosies will perform this year...", 2000)
CppScriptMgr:WaitMilSec(2020)
local Player_5 = CppScriptMgr:AddSimplePlayer(1055820, 498, 408, "GoosieStrikeTeam", 0, 0)
CppScriptMgr:WaitMilSec(970)
Player_5:Say("Brave goosies fear no difficulties!", 1000)
CppScriptMgr:WaitMilSec(830)
local Effect_7 = CppScriptMgr:AddEffect("Ren_JMBJ", 498, 408, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(350)
Player_1:Say("Brave goosies, let`s set off together!", 2000)
Player_1:SetAction(190)
Player_2:SetDir(0)
Player_2:SetAction(190)
Player_3:SetAction(190)
Player_3:SetDir(0)
CppScriptMgr:WaitMilSec(1250)
local effect_0 = CppScriptMgr:AddEffect("TSM_JZ_YF2", 493, 410, 60, 1, 1, 1)
effect_0:Scale(2, 2, 2)
CppScriptMgr:WaitMilSec(560)
local effect_role_0 = ChangeSize(493, 410, "ty_beijing", 10, 200, 5, 33)
CppScriptMgr:WaitMilSec(1410)